#!/usr/bin/env python

import re


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


version = ""
with open("fc2/__init__.py", "r") as fd:
    version = re.search(
        r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]', fd.read(), re.MULTILINE
    ).group(1)

if not version:
    raise RuntimeError("Cannot find version information")


with open("README.rst", "rb") as f:
    readme = f.read().decode("utf-8")

setup(
    name="xl-aliyun-fc2",
    version=version,
    description="xiliu Aliyun FunctionCompute SDK2",
    long_description=readme,
    packages=["fc2"],
    install_requires=["requests>=2.20.0", "websocket-client>=1.4.1"],
    include_package_data=True,
    url="https://www.aliyun.com/product/fc",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],
)
